oath-toolkit-2.6.2-6.3.x86_64.rpm


Advertisement

Description

oath-toolkit - Toolkit for one-time password authentication systems

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename oath-toolkit-2.6.2-6.3.x86_64.rpm
Package name oath-toolkit
Package version 2.6.2
Package release 6.3
Package architecture x86_64
Package type rpm
Category Productivity/Networking/Security
Homepage http://www.nongnu.org/oath-toolkit/
License GPL-3.0-or-later AND LGPL-2.1-or-later
Maintainer -
Download size 91.54 KB
Installed size 442.25 KB
The OATH Toolkit makes it possible to build one-time password
authentication systems. It contains shared libraries, command line
tools and a PAM module. Supported technologies include the
event-based HOTP algorithm (RFC4226) and the time-based TOTP algorithm
(RFC6238). OATH stands for Open AuTHentication, which is the
organization that specify the algorithms. For managing secret key
files, the Portable Symmetric Key Container (PSKC) format described in
RFC6030 is supported.

Alternatives

Package Version Architecture Repository
oath-toolkit-2.6.2-21.11.x86_64.rpm 2.6.2 x86_64 Security
oath-toolkit-2.6.2-21.11.i586.rpm 2.6.2 i586 Security
oath-toolkit-2.6.2-6.3.i586.rpm 2.6.2 i586 openSUSE Oss
oath-toolkit - - -

Requires

Name Value
libc.so.6(GLIBC_2.17)(64bit) -
liboath.so.0()(64bit) -
liboath.so.0(LIBOATH_1.12.0)(64bit) -
liboath.so.0(LIBOATH_1.2.0)(64bit) -
liboath.so.0(LIBOATH_1.8.0)(64bit) -
liboath.so.0(LIBOATH_2.6.0)(64bit) -
libpskc.so.0()(64bit) -
libpskc.so.0(LIBPSKC_2.0.0)(64bit) -

Provides

Name Value
oath-toolkit = 2.6.2-6.3
oath-toolkit(x86-64) = 2.6.2-6.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package oath-toolkit-2.6.2-6.3.x86_64.rpm
Source Package oath-toolkit-2.6.2-6.3.src.rpm

Install Howto

Install oath-toolkit rpm package:

# zypper install oath-toolkit

Files

Path
/usr/bin/oathtool
/usr/bin/pskctool
/usr/share/doc/packages/oath-toolkit/ChangeLog
/usr/share/doc/packages/oath-toolkit/NEWS
/usr/share/doc/packages/oath-toolkit/README
/usr/share/licenses/oath-toolkit/COPYING
/usr/share/licenses/oath-toolkit/COPYING.summary
/usr/share/man/man1/oathtool.1.gz
/usr/share/man/man1/pskctool.1.gz

Changelog

2018-08-06 - schwab@suse.de
- gnulib-libio.patch: Update gnulib for libio.h removal
2018-07-05 - matthias.gerstner@suse.com
- Add patch 0003-pam_oath-assign-safe-default-to-alwaysok-config-memb.patch:
- fix potential security issue in low memory situation (bsc#1089114)
2018-05-20 - julio@juliogonzalez.es
- Fix build for openSUSE Leap 42.2 and 42.3
2018-04-18 - jengelh@inai.de
- Trim/update descriptions. Fix RPM groups. Remove useless
- -with-pic.
2018-04-13 - mpluskal@suse.com
- Run spe-cleaner
- Drop useless conditions
2018-04-11 - ncutler@suse.com
- bring License line into closer accordance with actual licenses
mentioned in the tarball
- split off xml/pskc/ directory/files from liboath0 into a separate
"oath-toolkit-xml" subpackage to prevent conflicts if two versions of the
liboath library were ever installed at the same time
2018-04-11 - ncutler@suse.com
- use %license instead of %doc to package license-related files
2018-01-16 - dmarcoux@posteo.de
- Add patch (last commit which changed source, not released in 2.6.2):
- 0002-update_gnulibs_files.patch
2016-08-29 - mardnh@gmx.de
- Update to Version 2.6.2
- no changes in upstream code
- Fix RPM groups for -devel packages
- build with libpskc on supported suse-versions
- Add patch:
- 0001-Fix-no-return-in-nonvoid-function-errors-reported-by.patch
2015-09-09 - t.gruner@katodev.de
- Update to Version 2.6.1 (released 2015-07-31)
- liboath: Fix 'make check' on 32-bit systems.
- Version 2.6.0 (released 2015-05-19)
- liboath: Support TOTP with HMAC-SHA256 and HMAC-SHA512.
This adds new APIs oath_totp_generate2, oath_totp_validate4 and
oath_totp_validate4_callback.
- oathtool: The --totp parameter now take an optional argument to specify MAC.
For example use --totp=sha256 to use HMAC-SHA256.  When --totp is used
the default HMAC-SHA1 is used, as before.
- pam_oath: Mention in README that you shouldn't use insecure keys.
- pam_oath: Check return value from strdup.
- The files 'gdoc' and 'expect.oath' are now included in the tarball.

See Also

Package Description
oath-toolkit-xml-2.6.2-6.3.noarch.rpm XML data files needed by liboath
obantoo-2.1.12-1.4.noarch.rpm German Online Banking Library
obby-0.4.8-11.11.i586.rpm Synced document buffers
obby-0.4.8-11.11.x86_64.rpm Synced document buffers
obby-devel-0.4.8-11.11.i586.rpm Synced document buffers
obby-devel-0.4.8-11.11.x86_64.rpm Synced document buffers
obby-lang-0.4.8-11.11.noarch.rpm Translations for package obby
obconf-2.0.4-8.12.i586.rpm Openbox Configuration Tool
obconf-2.0.4-8.12.x86_64.rpm Openbox Configuration Tool
obconf-qt-0.14.1-1.1.i586.rpm OpenBox window manager configuration tool
obconf-qt-0.14.1-1.1.x86_64.rpm OpenBox window manager configuration tool
obconf-qt-lang-0.14.1-1.1.noarch.rpm Translations for package obconf-qt
obex-data-server-0.4.6-15.12.i586.rpm Obex DBus API
obex-data-server-0.4.6-15.12.x86_64.rpm Obex DBus API
obexd-0.48-5.16.i586.rpm D-Bus service for Obex Client access
Advertisement
Advertisement